Bug 1316848 - Peers goes to rejected state after reboot of one node when quota is enabled on cloned volume.
Peers goes to rejected state after reboot of one node when quota is enabled o...
Product: GlusterFS
Classification: Community
Component: snapshot (Show other bugs)
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Avra Sengupta
: ZStream
Depends On: 1308837
Blocks: 1268895 1329492
  Show dependency treegraph
Reported: 2016-03-11 04:57 EST by Avra Sengupta
Modified: 2016-06-16 10:00 EDT (History)
8 users (show)

See Also:
Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1308837
: 1329492 (view as bug list)
Last Closed: 2016-06-16 10:00:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 Vijay Bellur 2016-03-17 04:31:10 EDT
REVIEW: http://review.gluster.org/13760 (snapshot/quota: Copy quota.cksum during snapshot operations) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 2 Mike McCune 2016-03-28 18:16:42 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 3 Vijay Bellur 2016-04-22 01:51:12 EDT
COMMIT: http://review.gluster.org/13760 committed in master by Rajesh Joseph (rjoseph@redhat.com) 
commit 8f3ad1e3ede77fa5f8c8d606e18a7e83865a822c
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Fri Mar 11 15:27:30 2016 +0530

    snapshot/quota: Copy quota.cksum during snapshot operations
    A volume having a quota.conf file, should always have
    a quota.cksum file too. Based on this above assumption
    modifying glusterd_copy_quota_files() to always copy
    quota.cksum, if quota.conf is present.
    This change will be reflected when a snapshot is created,
    restored and cloned.
    Change-Id: Ia49dc26eacef32eeb8f7d7d9553c80e304b08779
    BUG: 1316848
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/13760
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Vijaikumar Mallikarjuna <vmallika@redhat.com>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
Comment 4 Niels de Vos 2016-06-16 10:00:28 EDT
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Note You need to log in before you can comment on or make changes to this bug.